<?php
/*
	osCommerce, Open Source E-Commerce Solutions 
	http://www.oscommerce.com 
	
	Copyright (c) 2003 osCommerce 
	
	osCommRes, Services Oline 
	http://www.oscommres.com 
	Copyright (c) 2005 osCommRes 
	
	Freeway eCommerce 
	http://www.zac-ware.com/freeway 
	Copyright (c) 2007 ZacWare
	
	Released under the GNU General Public License 

*/

// Set flag that this is a parent file
	define( '_FEXEC', 1 );

  require('includes/application_top.php');
  if (!tep_session_is_registered('affiliate_id')) {

    $navigation->set_snapshot();

    tep_redirect(tep_href_link(FILENAME_AFFILIATE, '', 'SSL'));
  }
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_AFFILIATE_SALES);
  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_AFFILIATE_SALES, '', 'SSL'));
  $affiliate_sales_raw = "

    select  a.*, o.orders_status as orders_status_id, os.orders_status_name as orders_status from " . TABLE_AFFILIATE_SALES . " a 

    left join " . TABLE_ORDERS . " o on (a.affiliate_orders_id = o.orders_id) 

    left join " . TABLE_ORDERS_STATUS . " os on (o.orders_status = os.orders_status_id and language_id = '" . tep_db_input($languages_id) . "') 

    where a.affiliate_id = '" . tep_db_input($affiliate_id) . "'	 and o.orders_status>='" . AFFILIATE_PAYMENT_ORDER_MIN_STATUS ."' 

    order by affiliate_date DESC

    ";
  $affiliate_sales_split = new splitPageResults($affiliate_sales_raw, MAX_DISPLAY_SEARCH_RESULTS);
  $content = affiliate_sales; 
  require(DIR_WS_TEMPLATES . TEMPLATE_NAME . '/' . TEMPLATENAME_MAIN_PAGE);
  require(DIR_WS_INCLUDES . 'application_bottom.php'); 

?>
